setcookie
socket_get_status
Network Functions
PHP Manual

# setrawcookie

(PHP 5)

setrawcookie — Send a cookie without urlencoding the cookie value

### Description

bool setrawcookie ( string `$name` [, string `$value` [, int `$expire` [, string `$path` [, string `$domain` [, bool `$secure` [, bool `$httponly` ]]]]]] )

setrawcookie() is exactly the same as setcookie() except that the cookie value will not be automatically urlencoded when sent to the browser.

### Parameters

For parameter information, see the setcookie() documentation.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### ChangeLog

Version | Description
--- | ---
5.2.0 | The `httponly` parameter was added.

### See Also

- setcookie()

setcookie
socket_get_status
Network Functions
PHP Manual